Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001484 [Piwigo] authentication tweak have not tried 2010.03.06 13:10 2010.04.29 12:44
Reporter LucMorizur View Status public  
Assigned To plg
Priority normal Resolution fixed Platform Any
Status closed   OS Any
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC3 Product Version
  Target Version 2.1.0RC3 Product Build
Summary 0001484: Redirection after quickconnect
Description When authenticating via a plain page "identification.php", the visitor is redirected to the page in which he had clicked on "connect". He should not be redirected to home page when authenticating form index.php, in "quickconnect" block of menubar
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003489)
LucMorizur (reporter)
2010.03.06 15:56
edited on: 2010.03.06 16:14

To redirect visitors to the same page, when they perform authentication thanks to the "quickconnect" block of menubar, the following is needed :
_ add the following line after line 32 of menubar_identification.tpl :

<input type="hidden" name="redirect" value="{$U_REDIRECT}">

_ add following line after line 136 of block.class.php :

$template->assign(array('U_REDIRECT' => $_SERVER['REQUEST_URI']));

(0003812)
svn (reporter)
2010.04.28 18:52

[Subversion] r5986 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 1484: after a "quick connect" you are correctly redirect to the same page.
(0003815)
svn (reporter)
2010.04.29 12:44

[Subversion] r5990 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 1484: prevent XSS vulnerability, encode url.

improvement: no need to transmit the REQUEST_URI from PHP, Smarty already
knows it.

- Issue History
Date Modified Username Field Change
2010.03.06 13:10 LucMorizur New Issue
2010.03.06 13:10 LucMorizur browser => any
2010.03.06 13:10 LucMorizur Web server => Apache 1.3.x
2010.03.06 15:56 LucMorizur Note Added: 0003489
2010.03.06 16:14 LucMorizur Note Edited: 0003489
2010.03.19 18:45 Gotcha Issue Monitored: Gotcha
2010.04.14 17:30 plg Assigned To => plg
2010.04.14 17:30 plg Severity feature => tweak
2010.04.14 17:30 plg Status new => assigned
2010.04.14 17:30 plg Target Version => 2.1.0RC3
2010.04.28 18:52 svn Checkin
2010.04.28 18:52 svn Note Added: 0003812
2010.04.28 19:03 plg Status assigned => closed
2010.04.28 19:03 plg Resolution open => fixed
2010.04.28 19:03 plg Fixed in Version => 2.1.0RC3
2010.04.29 12:44 svn Checkin
2010.04.29 12:44 svn Note Added: 0003815


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker